#!/usr/bin/env python3

import os, sys

def clearPrimes(p, n):
	p[0] = False
	p[1] = False

def sievePrimes(p, n):
	for i in range(2, n):
		for j in range(i*i, n, i):
			p[j] = False

def printPrimes(p, n):
	for i in range(1, n):
		if p[i]: print("%d " % (i,), end='')
	print()

def primes(n):
	p = [True]*n
	clearPrimes(p, n)
	sievePrimes(p, n)
	printPrimes(p, n)

def main(argv):
	if len(argv) > 0:
		primes(int(argv[0]))
	else:
		println("Usage: primes COUNT")

if __name__ == "__main__":
	main(sys.argv[1:])
